package com.bpcl.lpg.core.jalo;

import java.util.Collections;
import java.util.HashMap;
import com.bpcl.lpg.core.constants.GeneratedBpcllpgcoreConstants;
import de.hybris.platform.jalo.ExtensibleItem;
import de.hybris.platform.jalo.JaloBusinessException;
import de.hybris.platform.jalo.type.ComposedType;
import de.hybris.platform.jalo.SessionContext;
import de.hybris.platform.jalo.Item;
import java.util.Map;
import de.hybris.platform.util.BidirectionalOneToManyHandler;
import de.hybris.platform.directpersistence.annotation.SLDSafe;
import de.hybris.platform.jalo.GenericItem;

@SLDSafe
public class BpclEkycUpdateStatus extends GenericItem
{
    public static final String RETURNCODE = "returnCode";
    public static final String RETURNMSG = "returnMsg";
    public static final String PARTNERCODE = "partnerCode";
    public static final String PARTNERTRANSID = "partnerTransId";
    public static final String UNIQUEAPIREQNO = "uniqueApiReqNo";
    public static final String EKYCTRANSACTIONID = "eKycTransactionId";
    public static final String EKYCSTATUS = "eKycStatus";
    public static final String EKYCREFERENCEKEY = "eKycReferenceKey";
    public static final String EKYCTYPE = "eKycType";
    public static final String REQUESTBODY = "requestBody";
    public static final String RECEIVEDCODE = "receivedCode";
    public static final String RECEIVEDMSG = "receivedMsg";
    public static final String CORRELATIONID = "correlationId";
    public static final String EKYCTRANSACTION = "ekycTransaction";
    protected static final BidirectionalOneToManyHandler<BpclEkycUpdateStatus> EKYCTRANSACTIONHANDLER;
    protected static final Map<String, Item.AttributeMode> DEFAULT_INITIAL_ATTRIBUTES;
    
    protected Map<String, Item.AttributeMode> getDefaultAttributeModes() {
        return BpclEkycUpdateStatus.DEFAULT_INITIAL_ATTRIBUTES;
    }
    
    public String getCorrelationId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "correlationId".intern());
    }
    
    public String getCorrelationId() {
        return this.getCorrelationId(this.getSession().getSessionContext());
    }
    
    public void setCorrelationId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "correlationId".intern(), (Object)value);
    }
    
    public void setCorrelationId(final String value) {
        this.setCorrelationId(this.getSession().getSessionContext(), value);
    }
    
    protected Item createItem(final SessionContext ctx, final ComposedType type, final Item.ItemAttributeMap allAttributes) throws JaloBusinessException {
        BpclEkycUpdateStatus.EKYCTRANSACTIONHANDLER.newInstance(ctx, allAttributes);
        return super.createItem(ctx, type, allAttributes);
    }
    
    public String getEKycReferenceKey(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "eKycReferenceKey".intern());
    }
    
    public String getEKycReferenceKey() {
        return this.getEKycReferenceKey(this.getSession().getSessionContext());
    }
    
    public void setEKycReferenceKey(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "eKycReferenceKey".intern(), (Object)value);
    }
    
    public void setEKycReferenceKey(final String value) {
        this.setEKycReferenceKey(this.getSession().getSessionContext(), value);
    }
    
    public String getEKycStatus(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "eKycStatus".intern());
    }
    
    public String getEKycStatus() {
        return this.getEKycStatus(this.getSession().getSessionContext());
    }
    
    public void setEKycStatus(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "eKycStatus".intern(), (Object)value);
    }
    
    public void setEKycStatus(final String value) {
        this.setEKycStatus(this.getSession().getSessionContext(), value);
    }
    
    public BpclEkycTransaction getEkycTransaction(final SessionContext ctx) {
        return (BpclEkycTransaction)this.getProperty(ctx, "ekycTransaction".intern());
    }
    
    public BpclEkycTransaction getEkycTransaction() {
        return this.getEkycTransaction(this.getSession().getSessionContext());
    }
    
    public void setEkycTransaction(final SessionContext ctx, final BpclEkycTransaction value) {
        BpclEkycUpdateStatus.EKYCTRANSACTIONHANDLER.addValue(ctx, (Item)value, (ExtensibleItem)this);
    }
    
    public void setEkycTransaction(final BpclEkycTransaction value) {
        this.setEkycTransaction(this.getSession().getSessionContext(), value);
    }
    
    public String getEKycTransactionId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "eKycTransactionId".intern());
    }
    
    public String getEKycTransactionId() {
        return this.getEKycTransactionId(this.getSession().getSessionContext());
    }
    
    public void setEKycTransactionId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "eKycTransactionId".intern(), (Object)value);
    }
    
    public void setEKycTransactionId(final String value) {
        this.setEKycTransactionId(this.getSession().getSessionContext(), value);
    }
    
    public String getEKycType(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "eKycType".intern());
    }
    
    public String getEKycType() {
        return this.getEKycType(this.getSession().getSessionContext());
    }
    
    public void setEKycType(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "eKycType".intern(), (Object)value);
    }
    
    public void setEKycType(final String value) {
        this.setEKycType(this.getSession().getSessionContext(), value);
    }
    
    public String getPartnerCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "partnerCode".intern());
    }
    
    public String getPartnerCode() {
        return this.getPartnerCode(this.getSession().getSessionContext());
    }
    
    public void setPartnerCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "partnerCode".intern(), (Object)value);
    }
    
    public void setPartnerCode(final String value) {
        this.setPartnerCode(this.getSession().getSessionContext(), value);
    }
    
    public String getPartnerTransId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "partnerTransId".intern());
    }
    
    public String getPartnerTransId() {
        return this.getPartnerTransId(this.getSession().getSessionContext());
    }
    
    public void setPartnerTransId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "partnerTransId".intern(), (Object)value);
    }
    
    public void setPartnerTransId(final String value) {
        this.setPartnerTransId(this.getSession().getSessionContext(), value);
    }
    
    public String getReceivedCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "receivedCode".intern());
    }
    
    public String getReceivedCode() {
        return this.getReceivedCode(this.getSession().getSessionContext());
    }
    
    public void setReceivedCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "receivedCode".intern(), (Object)value);
    }
    
    public void setReceivedCode(final String value) {
        this.setReceivedCode(this.getSession().getSessionContext(), value);
    }
    
    public String getReceivedMsg(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "receivedMsg".intern());
    }
    
    public String getReceivedMsg() {
        return this.getReceivedMsg(this.getSession().getSessionContext());
    }
    
    public void setReceivedMsg(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "receivedMsg".intern(), (Object)value);
    }
    
    public void setReceivedMsg(final String value) {
        this.setReceivedMsg(this.getSession().getSessionContext(), value);
    }
    
    public String getRequestBody(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "requestBody".intern());
    }
    
    public String getRequestBody() {
        return this.getRequestBody(this.getSession().getSessionContext());
    }
    
    public void setRequestBody(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "requestBody".intern(), (Object)value);
    }
    
    public void setRequestBody(final String value) {
        this.setRequestBody(this.getSession().getSessionContext(), value);
    }
    
    public String getReturnCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "returnCode".intern());
    }
    
    public String getReturnCode() {
        return this.getReturnCode(this.getSession().getSessionContext());
    }
    
    public void setReturnCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "returnCode".intern(), (Object)value);
    }
    
    public void setReturnCode(final String value) {
        this.setReturnCode(this.getSession().getSessionContext(), value);
    }
    
    public String getReturnMsg(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "returnMsg".intern());
    }
    
    public String getReturnMsg() {
        return this.getReturnMsg(this.getSession().getSessionContext());
    }
    
    public void setReturnMsg(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "returnMsg".intern(), (Object)value);
    }
    
    public void setReturnMsg(final String value) {
        this.setReturnMsg(this.getSession().getSessionContext(), value);
    }
    
    public String getUniqueApiReqNo(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "uniqueApiReqNo".intern());
    }
    
    public String getUniqueApiReqNo() {
        return this.getUniqueApiReqNo(this.getSession().getSessionContext());
    }
    
    public void setUniqueApiReqNo(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "uniqueApiReqNo".intern(), (Object)value);
    }
    
    public void setUniqueApiReqNo(final String value) {
        this.setUniqueApiReqNo(this.getSession().getSessionContext(), value);
    }
    
    static {
        EKYCTRANSACTIONHANDLER = new BidirectionalOneToManyHandler(GeneratedBpcllpgcoreConstants.TC.BPCLEKYCUPDATESTATUS, false, "ekycTransaction", (String)null, false, true, 0);
        final Map<String, Item.AttributeMode> tmp = new HashMap<String, Item.AttributeMode>();
        tmp.put("returnCode", Item.AttributeMode.INITIAL);
        tmp.put("returnMsg", Item.AttributeMode.INITIAL);
        tmp.put("partnerCode", Item.AttributeMode.INITIAL);
        tmp.put("partnerTransId", Item.AttributeMode.INITIAL);
        tmp.put("uniqueApiReqNo", Item.AttributeMode.INITIAL);
        tmp.put("eKycTransactionId", Item.AttributeMode.INITIAL);
        tmp.put("eKycStatus", Item.AttributeMode.INITIAL);
        tmp.put("eKycReferenceKey", Item.AttributeMode.INITIAL);
        tmp.put("eKycType", Item.AttributeMode.INITIAL);
        tmp.put("requestBody", Item.AttributeMode.INITIAL);
        tmp.put("receivedCode", Item.AttributeMode.INITIAL);
        tmp.put("receivedMsg", Item.AttributeMode.INITIAL);
        tmp.put("correlationId", Item.AttributeMode.INITIAL);
        tmp.put("ekycTransaction", Item.AttributeMode.INITIAL);
        DEFAULT_INITIAL_ATTRIBUTES = Collections.unmodifiableMap((Map<? extends String, ? extends Item.AttributeMode>)tmp);
    }
}
